// MFCBspView.cpp : implementation of the CMFCBspView class
//

#include "stdafx.h"
#include "MFCBsp.h"

#include "MFCBspDoc.h"
#include "MFCBspView.h"
#include "EnterURLDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMFCBspView

IMPLEMENT_DYNCREATE(CMFCBspView, CHtmlView)

BEGIN_MESSAGE_MAP(CMFCBspView, CHtmlView)
	//{{AFX_MSG_MAP(CMFCBspView)
	ON_COMMAND(ID_ENTER_URL, OnEnterUrl)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CHtmlView::OnFilePrint)
//	ON_EN_CHANGE(IDC_URL, OnEnterURLInToolbar)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMFCBspView construction/destruction

CMFCBspView::CMFCBspView()
{
	// TODO: add construction code here

}

CMFCBspView::~CMFCBspView()
{
}

BOOL CMFCBspView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CHtmlView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMFCBspView drawing

void CMFCBspView::OnDraw(CDC* pDC)
{
	CMFCBspDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

void CMFCBspView::OnInitialUpdate()
{
	CHtmlView::OnInitialUpdate();

	// TODO: This code navigates to a popular spot on the web.
	//  change the code to go where you'd like.
	Navigate2(_T("http://www.microsoft.com/visualc/"),NULL,NULL);
}

/////////////////////////////////////////////////////////////////////////////
// CMFCBspView printing


/////////////////////////////////////////////////////////////////////////////
// CMFCBspView diagnostics

#ifdef _DEBUG
void CMFCBspView::AssertValid() const
{
	CHtmlView::AssertValid();
}

void CMFCBspView::Dump(CDumpContext& dc) const
{
	CHtmlView::Dump(dc);
}

CMFCBspDoc* CMFCBspView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMFCBspDoc)));
	return (CMFCBspDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMFCBspView message handlers

void CMFCBspView::OnEnterUrl() 
{
	// TODO: Add your command handler code here
	CEnterURLDialog	enterURLDialog;

	enterURLDialog.DoModal();
	Navigate2(enterURLDialog.m_URL,NULL,NULL);
}

void CMFCBspView::OnEnterURLInToolbar() 
{
	// TODO: Add your command handler code here
	Navigate2("www.heise.de",NULL,NULL);
}
